Content Hub: com::ubuntu::content::Paste Class Reference

Content Hub 0.2.0 A session-wide content-exchange service |

Public Types | Public Member Functions | Properties | Friends | List of all members
com::ubuntu::content::Paste Class Reference

`#include <paste.h>`

Inheritance diagram for com::ubuntu::content::Paste:
Collaboration diagram for com::ubuntu::content::Paste:

## Public Types
enum | State { created, charged, saved, collected }

## Public Member Functions
| Paste (const Paste &)=delete
virtual | ~Paste ()
Paste & | operator= (const Paste &)=delete
virtual Q_INVOKABLE int | id () const
virtual Q_INVOKABLE QMimeData * | mimeData ()
virtual Q_INVOKABLE QString | source () const

## Properties
int | id
QString | source

## Friends
struct | Private
class | Hub

## Detailed Description

Definition at line 33 of file paste.h.

## Member Enumeration Documentation

## ◆ State

enum com::ubuntu::content::Paste::State

Enumerator
created |
charged |
saved |
collected |

Definition at line 41 of file paste.h.

## Constructor & Destructor Documentation

## ◆ Paste()

com::ubuntu::content::Paste::Paste | ( | const Paste & |  | ) |
| delete

## ◆ ~Paste()

virtual com::ubuntu::content::Paste::~Paste | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ id()

virtual Q_INVOKABLE int com::ubuntu::content::Paste::id | ( |  | ) | const
| virtual

## ◆ mimeData()

virtual Q_INVOKABLE QMimeData* com::ubuntu::content::Paste::mimeData | ( |  | ) |
| virtual

## ◆ operator=()

Paste& com::ubuntu::content::Paste::operator= | ( | const Paste & |  | ) |
| delete

## ◆ source()

virtual Q_INVOKABLE QString com::ubuntu::content::Paste::source | ( |  | ) | const
| virtual

## Friends And Related Function Documentation

## ◆ Hub

friend class Hub
| friend

Definition at line 61 of file paste.h.

## ◆ Private

friend struct Private
| friend

Definition at line 60 of file paste.h.

## Property Documentation

## ◆ id

int com::ubuntu::content::Paste::id
| read

Definition at line 1 of file paste.h.

## ◆ source

QString com::ubuntu::content::Paste::source
| read

Definition at line 1 of file paste.h.

The documentation for this class was generated from the following file:

- /build/content-hub-git/src/content-hub/include/com/ubuntu/content/paste.h